API Explorer 896 endpoints

Create new supporting_document

POST /obp/dynamic-entity/banks/ogcr/supporting_document

OBPv4.0.0-dynamicEntity_createsupporting_document_ogcr Roles: CanCreateDynamicEntityRecord_supporting_document(per bank) _Supporting_document(ogcr)Dynamic-EntityDynamic

Create new supporting_document.

Parsed entity supporting_document. This Dynamic Entity is part of OGCR.

Property List:

  • supporting_document_id: ISO 3166-1 alpha-2 country code for where the activity occurs.
  • title: Title of the document

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"supporting_document"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "supporting_document_id": "DE",
  "title": "Germany",
  "sha256_of_document": "string",
  "url": "string"
}
Example success response
{
  "bank_id": "ogcr",
  "supporting_document": {
    "supporting_document_id": "DE",
    "title": "Germany",
    "sha256_of_document": "string",
    "url": "string"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createsupporting_document_ogcr Originally /banks/ogcr/supporting_document